package com.ss.android.ugc.aweme.crossplatform;

import X.C0727KFa;
import X.C4672Lnj;
import X.KFU;
import android.content.Context;
import com.bytedance.covode.number.Covode;
import com.ss.android.ugc.aweme.web.jsbridge.IHybridRegistryProvider;

public class HybridRegistryProvider implements IHybridRegistryProvider {
    static {
        Covode.recordClassIndex(62871);
    }

    public static IHybridRegistryProvider LIZ() {
        IHybridRegistryProvider iHybridRegistryProvider = (IHybridRegistryProvider) C4672Lnj.LIZ(IHybridRegistryProvider.class, false);
        if (iHybridRegistryProvider != null) {
            return iHybridRegistryProvider;
        }
        Object LIZIZ = C4672Lnj.LIZIZ(IHybridRegistryProvider.class, false);
        if (LIZIZ != null) {
            return (IHybridRegistryProvider) LIZIZ;
        }
        return new HybridRegistryProvider();
    }

    public final C0727KFa LIZ(Context context) {
        return new KFU(context);
    }
}
